TagLib::ID3v2::EventTimingCodesFrame Class Reference

ID3v2 event timing codes frame. More...

`#include <eventtimingcodesframe.h>`

Inheritance diagram for TagLib::ID3v2::EventTimingCodesFrame:
[legend]
Collaboration diagram for TagLib::ID3v2::EventTimingCodesFrame:
[legend]

## Classes

struct | SynchedEvent

## Public Types

enum | TimestampFormat { Unknown = 0x00 , AbsoluteMpegFrames = 0x01 , AbsoluteMilliseconds = 0x02 }

enum

EventType {
Padding = 0x00 , EndOfInitialSilence = 0x01 , IntroStart = 0x02 , MainPartStart = 0x03 ,
OutroStart = 0x04 , OutroEnd = 0x05 , VerseStart = 0x06 , RefrainStart = 0x07 ,
InterludeStart = 0x08 , ThemeStart = 0x09 , VariationStart = 0x0a , KeyChange = 0x0b ,
TimeChange = 0x0c , MomentaryUnwantedNoise = 0x0d , SustainedNoise = 0x0e , SustainedNoiseEnd = 0x0f ,
IntroEnd = 0x10 , MainPartEnd = 0x11 , VerseEnd = 0x12 , RefrainEnd = 0x13 ,
ThemeEnd = 0x14 , Profanity = 0x15 , ProfanityEnd = 0x16 , NotPredefinedSynch0 = 0xe0 ,
NotPredefinedSynch1 = 0xe1 , NotPredefinedSynch2 = 0xe2 , NotPredefinedSynch3 = 0xe3 , NotPredefinedSynch4 = 0xe4 ,
NotPredefinedSynch5 = 0xe5 , NotPredefinedSynch6 = 0xe6 , NotPredefinedSynch7 = 0xe7 , NotPredefinedSynch8 = 0xe8 ,
NotPredefinedSynch9 = 0xe9 , NotPredefinedSynchA = 0xea , NotPredefinedSynchB = 0xeb , NotPredefinedSynchC = 0xec ,
NotPredefinedSynchD = 0xed , NotPredefinedSynchE = 0xee , NotPredefinedSynchF = 0xef , AudioEnd = 0xfd ,
AudioFileEnds = 0xfe
}

using | SynchedEventList = TagLib::List<SynchedEvent>

## Public Member Functions

| EventTimingCodesFrame ()
| EventTimingCodesFrame (const ByteVector &data)
| ~EventTimingCodesFrame () override
| EventTimingCodesFrame (const EventTimingCodesFrame &)=delete
EventTimingCodesFrame & | operator= (const EventTimingCodesFrame &)=delete
String | toString () const override
TimestampFormat | timestampFormat () const
SynchedEventList | synchedEvents () const
void | setTimestampFormat (TimestampFormat f)
void | setSynchedEvents (const SynchedEventList &e)
Public Member Functions inherited from TagLib::ID3v2::Frame
virtual | ~Frame ()
| Frame (const Frame &)=delete
Frame & | operator= (const Frame &)=delete
ByteVector | frameID () const
unsigned int | size () const
unsigned int | headerSize () const
void | setData (const ByteVector &data)
virtual void | setText (const String &text)
virtual StringList | toStringList () const
ByteVector | render () const
Header * | header () const

## Protected Member Functions

void | parseFields (const ByteVector &data) override
ByteVector | renderFields () const override
Protected Member Functions inherited from TagLib::ID3v2::Frame
| Frame (const ByteVector &data)
| Frame (Header *h)
void | setHeader (Header *h, bool deleteCurrent=true)
void | parse (const ByteVector &data)
ByteVector | fieldData (const ByteVector &frameData) const
String | readStringField (const ByteVector &data, String::Type encoding, int *position=nullptr)
String::Type | checkTextEncoding (const StringList &fields, String::Type encoding) const
virtual PropertyMap | asProperties () const

## Friends

class | FrameFactory

## Additional Inherited Members

Static Public Member Functions inherited from TagLib::ID3v2::Frame
static ByteVector | textDelimiter (String::Type t)
static ByteVector | keyToFrameID (const String &)
static String | frameIDToKey (const ByteVector &)
Static Public Attributes inherited from TagLib::ID3v2::Frame
static const String | instrumentPrefix
static const String | commentPrefix
static const String | lyricsPrefix
static const String | urlPrefix
Static Protected Member Functions inherited from TagLib::ID3v2::Frame
static void | splitProperties (const PropertyMap &original, PropertyMap &singleFrameProperties, PropertyMap &tiplProperties, PropertyMap &tmclProperties)

## Detailed Description

ID3v2 event timing codes frame.

An implementation of ID3v2 event timing codes.

## Member Typedef Documentation

## SynchedEventList

using TagLib::ID3v2::EventTimingCodesFrame::SynchedEventList = TagLib::List<SynchedEvent>

List of synchronized events.

## Member Enumeration Documentation

## EventType

enum TagLib::ID3v2::EventTimingCodesFrame::EventType

Event types defined in id3v2.4.0-frames.txt 4.5. Event timing codes.

Enumerator
Padding |
EndOfInitialSilence |
IntroStart |
MainPartStart |
OutroStart |
OutroEnd |
VerseStart |
RefrainStart |
InterludeStart |
ThemeStart |
VariationStart |
KeyChange |
TimeChange |
MomentaryUnwantedNoise |
SustainedNoise |
SustainedNoiseEnd |
IntroEnd |
MainPartEnd |
VerseEnd |
RefrainEnd |
ThemeEnd |
Profanity |
ProfanityEnd |
NotPredefinedSynch0 |
NotPredefinedSynch1 |
NotPredefinedSynch2 |
NotPredefinedSynch3 |
NotPredefinedSynch4 |
NotPredefinedSynch5 |
NotPredefinedSynch6 |
NotPredefinedSynch7 |
NotPredefinedSynch8 |
NotPredefinedSynch9 |
NotPredefinedSynchA |
NotPredefinedSynchB |
NotPredefinedSynchC |
NotPredefinedSynchD |
NotPredefinedSynchE |
NotPredefinedSynchF |
AudioEnd |
AudioFileEnds |

## TimestampFormat

enum TagLib::ID3v2::EventTimingCodesFrame::TimestampFormat

Specifies the timestamp format used.

Enumerator
Unknown | The timestamp is of unknown format.
AbsoluteMpegFrames | The timestamp represents the number of MPEG frames since the beginning of the audio stream.
AbsoluteMilliseconds | The timestamp represents the number of milliseconds since the beginning of the audio stream.

## Constructor & Destructor Documentation

## EventTimingCodesFrame() [1/3]

TagLib::ID3v2::EventTimingCodesFrame::EventTimingCodesFrame | ( |  | ) |

explicit

Construct an empty event timing codes frame.

Referenced by EventTimingCodesFrame(), operator=(), and renderFields().

## EventTimingCodesFrame() [2/3]

TagLib::ID3v2::EventTimingCodesFrame::EventTimingCodesFrame | ( | const ByteVector & | data | ) |

explicit

Construct an event timing codes frame based on the data in data.

## ~EventTimingCodesFrame()

TagLib::ID3v2::EventTimingCodesFrame::~EventTimingCodesFrame | ( |  | ) |

override

Destroys this EventTimingCodesFrame instance.

## EventTimingCodesFrame() [3/3]

TagLib::ID3v2::EventTimingCodesFrame::EventTimingCodesFrame | ( | const EventTimingCodesFrame & |  | ) |

delete

References EventTimingCodesFrame().

## Member Function Documentation

## operator=()

EventTimingCodesFrame & TagLib::ID3v2::EventTimingCodesFrame::operator= | ( | const EventTimingCodesFrame & |  | ) |

delete

References EventTimingCodesFrame().

## parseFields()

void TagLib::ID3v2::EventTimingCodesFrame::parseFields | ( | const ByteVector & | data | ) |

override protected virtual

Called by parse() to parse the field data. It makes this information available through the public API. This must be overridden by the subclasses.

Implements TagLib::ID3v2::Frame.

## renderFields()

ByteVector TagLib::ID3v2::EventTimingCodesFrame::renderFields | ( |  | ) | const

override protected virtual

Render the field data back to a binary format in a ByteVector. This must be overridden by subclasses.

Implements TagLib::ID3v2::Frame.

References EventTimingCodesFrame(), and TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## setSynchedEvents()

void TagLib::ID3v2::EventTimingCodesFrame::setSynchedEvents | ( | const SynchedEventList & | e | ) |

Sets the text with the time stamps.

See also
  text()

## setTimestampFormat()

void TagLib::ID3v2::EventTimingCodesFrame::setTimestampFormat | ( | TimestampFormat | f | ) |

Set the timestamp format.

See also
  timestampFormat()

## synchedEvents()

SynchedEventList TagLib::ID3v2::EventTimingCodesFrame::synchedEvents | ( |  | ) | const

Returns the events with the time stamps.

## timestampFormat()

TimestampFormat TagLib::ID3v2::EventTimingCodesFrame::timestampFormat | ( |  | ) | const

Returns the timestamp format.

## toString()

String TagLib::ID3v2::EventTimingCodesFrame::toString | ( |  | ) | const

override virtual

Returns an empty string.

Implements TagLib::ID3v2::Frame.

## Friends And Related Symbol Documentation

## FrameFactory

friend class FrameFactory

friend

References FrameFactory.

Referenced by FrameFactory.

The documentation for this class was generated from the following file:

- eventtimingcodesframe.h